Subject: Linking SWI-Prolog with Link Grammar Parser v3.0

From: Lionel Ains <[email-masked]>
Date: Mon, 31 Jul 2000 11:47:47 +0100 (WET DST)

Hello,

I am trying to interface SWI-Prolog with the API of Link Grammar Parser 3.0, a freeware parsing 
grammar in english sentences.
The API is programmed in C and I should then just have to use it in a foreign code linked with 
the Prolog engine.
I have a few question concerning this operation:
- Do I have to recompile the whole Prolog engine each time I make a modification inside the foreign 
language code?
- Which C compiler should I use to compile Prolog and the API, undex Windows NT?
- Given that I would just like to register new foreign predicates, which part of the existing SWI-Prolog 
source code do I have to modify to add the new predicates (which will use the Link Grammar Parser 
API) to the list of built-in predicates?

Many thanks for this help,

Lionel
______________________________________________________
Boîte aux lettres - Caramail - http://www.caramail.com